Skip to main content
`Ctrl`+`K`

# DMPlexGlobalToNaturalBegin

Rearranges a global `Vec` in the natural order.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGlobalToNaturalBegin(DM dm, Vec gv, Vec nv)

Collective

## Input Parameters

- dm - The distributed `DMPLEX`

- gv - The global `Vec`

## Output Parameter

- nv - `Vec` in the canonical ordering distributed over all processors associated with `gv`

## Note

The user must call `DMSetUseNatural`(dm, `PETSC_TRUE`) before `DMPlexDistribute()`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `Vec`, `DMPlexDistribute()`, `DMPlexDistributeField()`, `DMPlexNaturalToGlobalBegin()`, `DMPlexGlobalToNaturalEnd()`

## Level

intermediate

## Location

src/dm/impls/plex/plexnatural.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages